SOLUÇÃO DE PROBLEMAS módulo em VMWARE

VMWARE

Será que você tem o problema que você não iniciou a VMWare por atualizar para o último kernel? Deixo-vos aqui a solução para este problema. Certamente recebemos uma placa dizendo que não é possível encontrar uma versão compatível do GCC a fim de compilar os módulos que você precisa para acoplar ao núcleo funcionar, para o qual precisaremos instalar uma versão mais recente, para a qual deixo os passos a seguir:

VMWARE

Se na tentativa de instalar você viu que não funcionou para você e você o desinstalou, deixo o link para você entrar na página oficial e fazer o download. Você tem que entrar você aqui e de download VMware Player para Linux Workstation. Que irá nos fornecer um arquivo VMware-Player-15.5.1-15018445.x86_64.bundle dependendo da versão do programa atualmente.

GCC

Para este exemplo prático, usaremos a versão 9.2 obtida de GitHubAconselhamos você a verificar este link para ver se não há uma versão mais recente para instalar. Se encontrarmos um mais recente, devemos alterar esse valor nos comandos para que funcionem corretamente.

sudo apt update

sudo apt upgrade

sudo apt install build-essential

sudo apt install flex

wget https://github.com/gcc-mirror/gcc/archive/releases/gcc-9.2.0.tar.gz

tar -xzvf gcc-9.2.0.tar.gz

cd gcc-releases-gcc-9.2.0

contrib/download_prerequisites

./configure -v -build=x86_64-linux-gnu -host=x86_64-linux-gnu -target=x86_64-linux-gnu -enable-checking=release -enable-languages=c,c++ -disable-multilib

make -j 4 (este proceso demora 1hs aprox)

sudo make install

CONFIGURAÇÃO

Para este caso ocuparemos a versão 15.5.1 portanto os módulos que obteremos correspondam a essa versão do programa, portanto no primeiro comando devemos substituir os números em 15.5.1 estação de trabalho- a versão que instalar no sistema.

git clone -b workstation-15.5.1 https://github.com/mkubecek/vmware-host-modules.git 

cd vmware-host-modules 

sudo tar -cf vmmon.tar vmmon-only 

sudo tar -cf vmnet.tar vmnet-only 

sudo cp -v vmmon.tar vmnet.tar /usr/lib/vmware/modules/source/

sudo vmware-modconfig --console --install-all

observação: Devemos realizar o processo de configuração toda vez que atualizamos para uma nova versão do kernel, se não deletarmos a pasta criada com o download na pasta pessoal da equipe só temos que realizar os 2 últimos passos novamente. Se você teve um erro no processo de configuração após uma atualização do kernel, aqui estão as etapas para resolvê-lo.

git clone -b workstation-15.5.1 https://github.com/mkubecek/vmware-host-modules.git 

cd vmware-host-modules

sudo make

sudo make install

Essas seriam as etapas para aproveitar o mais recente versão do kernel com VMWare instalado em sua última versão funcionando corretamente. Não se esqueça de nos deixar seu comentário para conhecer sua experiência. Felicidades!

4.9 25 votos
Classifique o artigo
 
Inscreva-se
relatório do
16 Reacciones
Mais popular
Mais recentes Mais velho
Opinião do artigo
Ver todos os comentários
Ramon Milian
Ramon Milian (@ramonmilian)
Membro
1 año atrás

Tuto excelente, obrigado.

Luis Serrano
Luis Serrano (@luis-serrano)
Membro
1 año atrás

Hoje eu mesma tive esse problema, vou tentar fazer de novo.

Justo Moreno
Justo Moreno (@justo-moreno776)
Membro
1 año atrás

Eu vim como dedo anelar, obrigado.

Luis Sosa
Luis Sosa (@luissosa987)
Membro
1 año atrás

Eu não funcionou.

Peligroso Mario
Peligroso Mario (@peligrosomario)
Membro
Respondiendo a  Luis Sosa
1 año atrás

Meus Sim, bem, graças Tomás Warynyca !

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Administrador
Respondiendo a  Luis Sosa
1 año atrás

Luis Sosa

Olá, envie as imagens (Ctrl + Alt + A) das mensagens de erro para determinar a causa do não funcionamento para você.

Luis Sosa
Luis Sosa (@luissosa987)
Membro
Respondiendo a  Isaías Gätjens M
1 año atrás

E 5 tentativa, em seguida, trabalhou, obrigado.

Omar Yesid
Omar Yesid (@omar-yesid)
Membro
Respondiendo a  Isaías Gätjens M
1 año atrás

Fique lá
por favor ajude

DeepinScreenshot_Seleccionar área_20200128073753.png
Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Administrador
Respondiendo a  Omar Yesid
1 año atrás

Olá, o que está escrito é que você não conseguiu baixar o arquivo, tente novamente ou certifique-se de que o URL correto seja usado. Você também pode tentar o seguinte URL.

https://github.com/gcc-mirror/gcc/archive/releases/gcc-9.2.0.tar.gz

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Administrador
Respondiendo a  Omar Yesid
1 año atrás

Ao descompactá-lo com o comando tar, certifique-se também de usar o nome de arquivo correto.

Michael Alberto Carrillo Rodriguez
Michael Alberto Carrillo Rodriguez (@michaelalbertocarrillorodriguez)
Membro
1 año atrás

Ola bom dia desculpe mas nao sei como resolver o que esta me dizendo nao sei o que estou fazendo de errado obrigado

DeepinScreenshot_20191228171027.jpg
Alfredo doria delbarre
Alfredo doria delbarre (@alfredodoriadelbarre)
Membro
1 año atrás

quando eu executo o comando recebo este erro
./configure -v -build = x86_64-linux-gnu -host = x86_64-linux-gnu -target = x86_64-linux-gnu -enable-checking = release -enable-languages ​​= c, c ++ -disable-multilib

sua ajuda por favor

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Administrador
Respondiendo a  Alfredo doria delbarre
1 año atrás

Alfredo doria Delbarre

Esperamos que Tomás Warynyca está disponível, notei que o link de download do gcc está quebrado. Mas eu não uso VMware, então não é meu ponto forte.

 

16
0
Gostaríamos de saber o que você pensa, participe da discussão.x